Package org.drinkless.tdlib

# Class TdApi.DeviceTokenMicrosoftPush

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.DeviceToken
org.drinkless.tdlib.TdApi.DeviceTokenMicrosoftPush

Enclosing class:
  TdApi

public static class TdApi.DeviceTokenMicrosoftPush extends TdApi.DeviceToken
A token for Microsoft Push Notification Service.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.DeviceToken

  `TdApi.DeviceToken.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `channelUri`
  Push notification channel URI; may be empty to deregister a device.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeviceTokenMicrosoftPush()`
  A token for Microsoft Push Notification Service.
  `DeviceTokenMicrosoftPush(String channelUri)`
  A token for Microsoft Push Notification Service.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### channelUri

    public String channelUri
    Push notification channel URI; may be empty to deregister a device.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DeviceTokenMicrosoftPush

    public DeviceTokenMicrosoftPush()
    A token for Microsoft Push Notification Service.

  - ### DeviceTokenMicrosoftPush

    public DeviceTokenMicrosoftPush(String channelUri)
    A token for Microsoft Push Notification Service.
    Parameters:
      `channelUri` - Push notification channel URI; may be empty to deregister a device.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.DeviceToken`
    Returns:
      this.CONSTRUCTOR